scrub-obsolete Package - powerdevil

Ready changes

Merge these changes:

git pull https://janitor.debian.net/git/powerdevil scrub-obsolete/main

Diff

diff --git a/debian/changelog b/debian/changelog
index 038a9e6..f1d1758 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+powerdevil (4:5.19.5-4) UNRELEASED; urgency=medium
+
+  * Remove constraints unnecessary since stretch:
+    + Build-Depends: Drop versioned constraint on cmake, pkg-kde-tools.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Sun, 08 Nov 2020 04:28:18 -0000
+
 powerdevil (4:5.19.5-3) unstable; urgency=medium
 
   * Release to unstable.
diff --git a/debian/control b/debian/control
index e76a886..a8ae8f7 100644
--- a/debian/control
+++ b/debian/control
@@ -5,7 +5,7 @@ Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
            Patrick Franz <patfra71@gmail.com>,
            Norbert Preining <norbert@preining.info>,
-Build-Depends: cmake (>= 3.0~),
+Build-Depends: cmake,
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.66.0~),
                gettext,
@@ -40,7 +40,7 @@ Build-Depends: cmake (>= 3.0~),
                libxcb1-dev,
                libxrandr-dev,
                pkg-config,
-               pkg-kde-tools (>= 0.15.18~),
+               pkg-kde-tools,
                plasma-workspace-dev (>= 4:5.19.5~),
                qtbase5-dev (>= 5.14.0~),
 Standards-Version: 4.5.0

Run locally

Try this locally (using the lintian-brush package):

debcheckout powerdevil
cd powerdevil
deb-scrub-obsolete

More details

Full run details